jdbm.helper

## Class ExplicitList<T>

- java.lang.Object
- - jdbm.helper.ExplicitList<T>

    public class ExplicitList<T>
    extends Object

A simple doubly linked list implementation that can be used when fast remove operations are desired. Objects are inserted into the list through an anchor (Link). When object is to be removed from the list, this anchor is provided by the client again and this class can do the remove operation in O(1) using the given anchor.

Author:
  Apache Directory Project

### Nested Class Summary

Nested Classes
`static class` `ExplicitList.Link<V>`

### Constructor Summary

Constructors
Constructor and Description
`ExplicitList()`

### Method Summary

Methods
`void` `addFirst(ExplicitList.Link<T> link)`
`void` `addLast(ExplicitList.Link<T> link)`
`ExplicitList.Link<T>` `begin()`
`ExplicitList.Link<T>` `end()`
`void` `remove(ExplicitList.Link<T> link)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExplicitList

    public ExplicitList()

### Method Detail

#### remove

    public void remove(ExplicitList.Link<T> link)

#### addFirst

    public void addFirst(ExplicitList.Link<T> link)

#### addLast

    public void addLast(ExplicitList.Link<T> link)

#### begin

    public ExplicitList.Link<T> begin()

#### end

    public ExplicitList.Link<T> end()

#### size

    public int size()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`